### Function

# GObject signal_override_class_closure

#### Declaration [src]

    void
    g_signal_override_class_closure (
      guint signal_id,
      GType instance_type,
      GClosure* class_closure
    )

#### Description [src]

Overrides the class closure (i.e. the default handler) for the given signal for emissions on instances of `instance_type`. `instance_type` must be derived from the type to which the signal belongs.

See `g_signal_chain_from_overridden()` and `g_signal_chain_from_overridden_handler()` for how to chain up to the parent class closure from inside the overridden one.

#### Parameters

`signal_id`

  Type: `guint`

  The signal id.

`instance_type`

  Type: `GType`

  The instance type on which to override the class closure for the signal.

`class_closure`

  Type: `GClosure`

  The closure.

  The data is owned by the caller of the function.